i2p.susi.dns

## Class NamingServiceBean

- java.lang.Object
- - i2p.susi.dns.AddressbookBean
  - - i2p.susi.dns.NamingServiceBean

-     public class NamingServiceBean
      extends AddressbookBean

  Talk to the NamingService API instead of modifying the hosts.txt files directly, except for the 'published' addressbook.
  Since:
    0.8.7

- - ### Field Summary

    - ### Fields inherited from class i2p.susi.dns.AddressbookBean

      `action, beginIndex, book, deletionMarks, destination, endIndex, entries, filter, hostname, lastSerial, properties, search, serial, sorter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamingServiceBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()`
    `String` | `getFileName()`
    `String` | `getLoadBookMessages()` Load addressbook and apply filter, returning messages about this.
    `AddressBean` | `getLookup()`
    `String` | `getMessages()` Perform actions, returning messages about this.
    `boolean` | `isNotEmpty()`
    `protected boolean` | `isPrefiltered()` Does the entries map contain only the lookup result, or must we index into it?
    `protected int` | `resultSize()`
    `void` | `setH(String h)`
    `protected int` | `totalSize()`

    - ### Methods inherited from class i2p.susi.dns.AddressbookBean

      `_, _, _, generateLoadMessage, getAction, getBegin, getBeginInt, getBook, getDestination, getEnd, getEndInt, getEntries, getFilter, getHostname, getResultBegin, getResultEnd, getSearch, getSerial, getTrClass, isHasFilter, isIsEmpty, isMaster, isPrivate, isPublished, isRouter, loadConfig, ngettext, setAction, setBegin, setBook, setDestination, setEnd, setFilter, setHostname, setMarkedForDeletion, setResetDeletionMarks, setSearch, setSerial, setTrClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamingServiceBean

          public NamingServiceBean()

  - ### Method Detail

    - #### isPrefiltered

          protected boolean isPrefiltered()

      Description copied from class: `AddressbookBean`
      Does the entries map contain only the lookup result, or must we index into it?
      Overrides:
        `isPrefiltered` in class `AddressbookBean`

    - #### resultSize

          protected int resultSize()

      Overrides:
        `resultSize` in class `AddressbookBean`
      Returns:
        the size of the lookup result

    - #### totalSize

          protected int totalSize()

      Overrides:
        `totalSize` in class `AddressbookBean`
      Returns:
        the total size of the address book

    - #### isNotEmpty

          public boolean isNotEmpty()

      Overrides:
        `isNotEmpty` in class `AddressbookBean`

    - #### getFileName

          public String getFileName()

      Overrides:
        `getFileName` in class `AddressbookBean`

    - #### getDisplayName

          public String getDisplayName()

      Overrides:
        `getDisplayName` in class `AddressbookBean`

    - #### getLoadBookMessages

          public String getLoadBookMessages()

      Load addressbook and apply filter, returning messages about this. To control memory, don't load the whole addressbook if we can help it... only load what is searched for.
      Overrides:
        `getLoadBookMessages` in class `AddressbookBean`

    - #### getMessages

          public String getMessages()

      Perform actions, returning messages about this.
      Overrides:
        `getMessages` in class `AddressbookBean`

    - #### setH

          public void setH(String h)

    - #### getLookup

          public AddressBean getLookup()